## ox-texinfo-plus 2.2.4

=== Makefile ===
-include .config.mk

PKG = ox-texinfo+

ELS   = $(PKG).el
ELCS  = $(ELS:.el=.elc)

DEPS  = org/lisp

EMACS      ?= emacs
EMACS_ARGS ?=

LOAD_PATH  ?= $(addprefix -L ../,$(DEPS))
LOAD_PATH  += -L .

all: lisp

help:
	$(info make all          - generate byte-code and autoloads)
	$(info make lisp         - generate byte-code and autoloads)
	$(info make clean        - remove generated files)
	@printf "\n"

lisp: $(ELCS) loaddefs

loaddefs: $(PKG)-autoloads.el

%.elc: %.el
	@printf "Compiling $<\n"
	@$(EMACS) -Q --batch $(EMACS_ARGS) $(LOAD_PATH) -f batch-byte-compile $<

CLEAN  = $(ELCS) $(PKG)-autoloads.el

clean:
	@printf "Cleaning...\n"
	@rm -rf $(CLEAN)

define LOADDEFS_TMPL
;;; $(PKG)-autoloads.el --- automatically extracted autoloads
;;
;;; Code:
(add-to-list 'load-path (directory-file-name \
(or (file-name-directory #$$) (car load-path))))

;; Local Variables:
;; version-control: never
;; no-byte-compile: t
;; no-update-autoloads: t
;; End:
;;; $(PKG)-autoloads.el ends here
endef
export LOADDEFS_TMPL
#'

$(PKG)-autoloads.el: $(ELS)
	@printf "Generating $@\n"
	@printf "%s" "$$LOADDEFS_TMPL" > $@
	@$(EMACS) -Q --batch --eval "(progn\
	(setq make-backup-files nil)\
	(setq vc-handled-backends nil)\
	(setq default-directory (file-truename default-directory))\
	(setq generated-autoload-file (expand-file-name \"$@\"))\
	(setq find-file-visit-truename t)\
	(update-directory-autoloads default-directory))"

=== debian/changelog ===
ox-texinfo-plus (2.2.4-2) unstable; urgency=medium

  * Source-only upload.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 26 Jul 2020 14:38:47 -0700

ox-texinfo-plus (2.2.4-1) unstable; urgency=medium

  * Initial release (Closes: #965989).

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 21 Jul 2020 14:24:04 -0700

=== debian/control ===
Source: ox-texinfo-plus
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Sean Whitton <spwhitton@spwhitton.name>
Build-Depends: debhelper-compat (= 13),
 dh-elpa
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/emacsen-team/ox-texinfo-plus
Vcs-Git: https://salsa.debian.org/emacsen-team/ox-texinfo-plus.git
Rules-Requires-Root: no

Package: elpa-ox-texinfo+
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: Extensions for Org's Texinfo exporter  
 This package provides some extensions for Org's `texinfo' exporter
 defined in `ox-texinfo'.
 .
 1. Create `@deffn' and similar definition items by writing list
    items in Org that look similar to what they will look like in Info.
 .
 2. Optionally share a section's node with some or all of its child sections.
    By default every section on every level gets its own node, and
    `ox-texinfo' provides no mechanism for changing that.
 .
 3. Optionally modify the Org file before exporting it.  This is implemented
    using a hook that can be set using the `BIND' property:
 .
     #+BIND: ox-texinfo+-before-export-hook some-function
     #+BIND: ox-texinfo+-before-export-hook another-function
 .
 4. Fully respect the local value of `indent-tabs-mode' from the Org file when
    editing source blocks and exporting.  This affects all source blocks and
    all exporters.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
export DEB_VERSION_UPSTREAM

%:
	dh $@ --with elpa

override_dh_auto_build:

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/ox-texinfo-plus-$1.tar.gz/" \
    https://github.com/tarsius/ox-texinfo-plus/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## ox-texinfo-plus 2.3.2

=== debian/changelog ===
ox-texinfo-plus (2.3.2-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 23:14:40 +0900

ox-texinfo-plus (2.3.2-1) unstable; urgency=medium

  * New upstream version.
  * Adopt package from Sean Whitton.
  * Bump Standards version to 4.5.1 (no changes required).
  * d/copyright : bump copyright years.
  * Add Homepage field to d/control to respect policy.
  * d/watch : set new upstream url.

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Mon, 22 Aug 2022 01:45:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,21 @@
 Section: editors
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
-Uploaders: Sean Whitton <spwhitton@spwhitton.name>
+Uploaders: Aymeric Agon-Rambosson <aymeric.agon@yandex.com>
 Build-Depends: debhelper-compat (= 13),
  dh-elpa
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/emacsen-team/ox-texinfo-plus
 Vcs-Git: https://salsa.debian.org/emacsen-team/ox-texinfo-plus.git
 Rules-Requires-Root: no
+Homepage: https://github.com/emacsattic/ox-texinfo-plus
 
 Package: elpa-ox-texinfo+
 Architecture: all
 Depends: ${elpa:Depends}, ${misc:Depends}
 Recommends: emacs (>= 46.0)
 Enhances: emacs
-Description: Extensions for Org's Texinfo exporter  
+Description: Extensions for Org's Texinfo exporter
  This package provides some extensions for Org's `texinfo' exporter
  defined in `ox-texinfo'.
  .

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/ox-texinfo-plus-$1.tar.gz/" \
    https://github.com/emacsattic/ox-texinfo-plus/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
